Loading...
Searching...
No Matches
lieProxies.h File Reference

Provides convenient mappings of common member functions for testing. More...

Go to the source code of this file.

## Namespaces

namespace | gtsam
| Global functions in a separate testing namespace.

## Functions

template<class T>
T | gtsam::testing::between (const T &t1, const T &t2)
| binary functions
template<class T>
T | gtsam::testing::compose (const T &t1, const T &t2)
template<class T>
T | gtsam::testing::inverse (const T &t)
| unary functions
template<class T, class P>
P | gtsam::testing::rotate (const T &r, const P &pt)
| rotation functions
template<class T, class P>
P | gtsam::testing::unrotate (const T &r, const P &pt)

## Detailed Description

Provides convenient mappings of common member functions for testing.

Author
  Alex Cunningham